Page MenuHomePhabricator

Add GENDER to username related strings on Special:Contributions
Open, Needs TriagePublic

Description

Request: add more GENDER to contribution page

in the tabs used the female gender
in the text of the page uses only male gender

Event Timeline

Sunpriat created this task.Sep 22 2015, 9:41 AM
Sunpriat raised the priority of this task from to Needs Triage.
Sunpriat updated the task description. (Show Details)
Sunpriat added a subscriber: Sunpriat.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 22 2015, 9:41 AM
Aklapper renamed this task from Add gender to contributions to Add GENDER to username related strings on Special:Contributions.Sep 22 2015, 10:26 AM
Aklapper set Security to None.

Thanks for the links
MediaWiki:Contributions-title/ru

  • contains a parameter 1 and gender
  • parameter refers to one whose name is processed
  • it works as expected

MediaWiki:Contributions/ru

  • contains a parameter 1 and gender
  • In the description exist parameter 1. However, it does not work, as you can see in the screenshots.
  • is expected to: dependence on the gender of whose contributions can be seen

MediaWiki:Sp-contributions-username/ru does not contain an additional parameter 1

  • it is expected that it will be similar to the two previous posts
WTM added a subscriber: WTM.Sep 23 2015, 10:16 AM
Restricted Application added a subscriber: StudiesWorld. · View Herald TranscriptJan 28 2016, 7:51 AM

Change 298172 had a related patch set uploaded (by Matěj Suchánek):
Add GENDER to messages on Special:(Deleted)Contributions

https://gerrit.wikimedia.org/r/298172

Florian closed this task as Resolved.Aug 12 2016, 5:49 PM

Change 298172 merged by jenkins-bot:
Add GENDER to messages on Special:(Deleted)Contributions

https://gerrit.wikimedia.org/r/298172

matej_suchanek reopened this task as Open.Aug 12 2016, 6:50 PM
matej_suchanek removed a project: Patch-For-Review.

Re-opening, not everything has been fixed.

matej_suchanek removed matej_suchanek as the assignee of this task.Aug 12 2016, 7:00 PM
matej_suchanek added a subscriber: matej_suchanek.
Amire80 moved this task from Untriaged to Gender on the I18n board.Feb 4 2018, 10:37 AM
stjn added a subscriber: stjn.Oct 2 2018, 6:39 PM
stjn added a comment.Oct 2 2018, 6:42 PM

Is there any complexity to adding this to page title? MediaWiki:Contributions already has gender support, but the parameter is not being passed to the message on Special:Contributions, would it be hard to do? (Not asking to nudge people, but rather to know if I can submit a patch.)

Change 464170 had a related patch set uploaded (by Saint Johann; owner: Saint Johann):
[mediawiki/core@master] Add gender support to Special:Contributions page title

https://gerrit.wikimedia.org/r/464170